Installing the Prerequisites

Note: For the most up-to-date prerequisite information, please see the Shavlik Protect Installation Guide at

Automatic Installation

The prerequisites can be automatically installed during the Shavlik Protect installation.

Manual Installation

If you prefer to download and install the prerequisites yourself, you may do so using the following URLs. Your operating system may already contain many of the prerequisites, so only install the prerequisites that you are missing.

Windows Installer 4.5

Only required if installing SQL Server 2012 Express Edition SP1 or 2008 R2 Express Editon SP2 during Shavlik Protect installation.

SQL Server 2012 Express Edition SP1

Only required if you don't already have a full edition of SQL Server.

SQL Server 2008 R2 Express Edition SP2

Only required if you don't already have a full edition of SQL Server and you are using an older OS that does not support SQL Server 2012 Express Edition SP1.

.NET Framework 4.0 (for disconnected environments)

.NET Framework 2.0 SP2

Required in order to use the ITScripts (PowerShell) feature.  

Windows PowerShell 3.0

Automatically included with most newer Windows operating systems, so you may not need to manually install this if your operating system supports PowerShell 3.0.

Windows PowerShell 2.0

Only required if your operating system does not support PowerShell 3.0. (search for your operating system)

Windows Imaging Component

Only required to install if you are using Windows XP or Windows Server 2003. Windows Imaging Component is automatically included with newer Windows operating systems.

Remote Desktop Connection